=== modified file 'trunk/DuggaSys/changePassword/css/base.css'
--- trunk/DuggaSys/changePassword/css/base.css	2013-03-26 23:22:55 +0000
+++ trunk/DuggaSys/changePassword/css/base.css	2013-03-28 14:01:33 +0000
@@ -4,65 +4,65 @@
 
 html {font-size:125%;}
 
-body{
-    font-size:50%;
-    background-color:#BEC3C6;
-}
-
-p, a, h1, h2, h3, h4, h5, table, td, th, label, caption{
-    font-family:Helvetica, Arial, sans-serif;
-}
-
-h1{
-    font-size:3.4em;
-}
-
-h2{
-    font-size:2.1em;
-    clear:both;
-}
-
-p, a{
-    font-size:1.4em;
-}
-
-th, td, caption{
-    font-size:1.0em;
-}
-
-p a{
-    font-size:14px;
+body {
+	font-size:50%;
+	background-color:#BEC3C6;
+}
+
+p, a, h1, h2, h3, h4, h5, table, td, th, label, caption {
+	font-family:Helvetica, Arial, sans-serif;
+}
+
+h1 {
+	font-size:3.4em;
+}
+
+h2 {
+	font-size:2.1em;
+	clear:both;
+}
+
+p, a {
+	font-size:1.4em;
+}
+
+th, td, caption {
+	font-size:1.0em;
+}
+
+p a {
+	font-size:14px;
 }
 
 a {outline: none;}
 
-table{
-    border-collapse:collapse;
-    border-spacing: 0px;
-    clear:both;
+table {
+	border-collapse:collapse;
+	border-spacing: 0px;
+	clear:both;
 }
 
-fieldset{
-    border:1px solid #CCCCCC;
-    background-color:#F3F3F3;
-    margin:10px 0;
-    padding: 15px 10px;
+fieldset {
+	border:1px solid #CCCCCC;
+	background-color:#F3F3F3;
+	margin:10px 0;
+	padding: 15px 10px;
 }
 
 textarea {
-    resize: none;
+	resize: none;
 } 
 
-form{
-    padding:0;
+form {
+	padding:0;
 }
 
-form h3{
-    padding:0;
-    margin:0;
-    text-align: center;
-    color: #fff;
-    background-color:#000;
-    font-size:1.6em;
-    font-weight:normal;
+form h3 {
+	padding:0;
+	margin:0;
+	text-align: center;
+	color: #fff;
+	background-color:#000;
+	font-size:1.6em;
+	font-weight:normal;
 }

=== modified file 'trunk/DuggaSys/changePassword/css/login.css'
--- trunk/DuggaSys/changePassword/css/login.css	2013-03-26 23:22:55 +0000
+++ trunk/DuggaSys/changePassword/css/login.css	2013-03-28 14:01:33 +0000
@@ -1,56 +1,55 @@
 /* CSS Document */
 
-body{
-    background-image: url('../images/ufo.png');
-    background-repeat: no-repeat;
-    background-position: center;
-}
-
-h2{
-    margin: 0 0 5px;
-    padding: 0 0 3px;
-    border-bottom:1px solid #999;
-}
-
-h3{
-    color:red;
-    text-align: center;
-}
-
-form{
-    overflow:auto;
-    width:230px;
-    margin: 200px auto 10px;
-    border:1px solid #999;
-    border:1px solid #000;
-    background:#CCC;
-    background:#DDDDEE;
-    box-shadow: -60px -60px 140px #eee, 80px -80px 110px #ededed, 60px 60px 120px #ececec, -60px 60px 100px #ececec;	
-}
-
-label{
-    display:block;
-    margin: 10px 10px 2px;
+body {
+	background-image: url('../images/ufo.png');
+	background-repeat: no-repeat;
+	background-position: center;
+}
+
+h2 {
+	margin: 0 0 5px;
+	padding: 0 0 3px;
+	border-bottom:1px solid #999;
+}
+
+h3 {
+	color:red;
+	text-align: center;
+}
+
+form {
+	overflow:auto;
+	width:230px;
+	margin: 200px auto 10px;
+	border:1px solid #999;
+	border:1px solid #000;
+	background:#CCC;
+	background:#DDDDEE;
+	box-shadow: -60px -60px 140px #eee, 80px -80px 110px #ededed, 60px 60px 120px #ececec, -60px 60px 100px #ececec;	
+}
+
+label {
+	display:block;
+	margin: 10px 10px 2px;
 	font-size:1.4em;
-    /*padding:10px 0;*/
-}
-
-input[type="text"], input[type="password"]{
-    width:200px;
-    margin:0 10px;
-}
-
-input[type="submit"]{
-    margin: 10px auto;
-    width: 70px;
-    display: block;
-    border-radius: 5px;
+	/*padding:10px 0;*/
+}
+
+input[type="text"], input[type="password"] {
+	width:200px;
+	margin:0 10px;
+}
+
+input[type="submit"] {
+	margin: 10px auto;
+	width: 70px;
+	display: block;
+	border-radius: 5px;
 }
 
 /*
-input[type="submit"]{
+input[type="submit"] {
 	display:block;
 	float:left;
 	margin:10px auto 0;
-}*/
-
+}*/
\ No newline at end of file

=== modified file 'trunk/DuggaSys/changePassword/index.php'
--- trunk/DuggaSys/changePassword/index.php	2013-03-26 23:22:55 +0000
+++ trunk/DuggaSys/changePassword/index.php	2013-03-28 14:55:35 +0000
@@ -8,21 +8,18 @@
 	// echo "</pre>";
 	
 	//Passwordchangingcode
-	if(isset($_POST['changePasswordSubmit'])){
-		//////////////////////////
+	if(isset($_POST['changePasswordSubmit'])) {
 		$pdo = new PDO('mysql:dbname=dsystem;host=wwwlab.iki.his.se', 'dbsk', 'Tomten2009'); //ADD NEW USER WITH LESS PRIVILEGES?
-        $pdo->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_WARNING);
-        //////////////////////////
+		$pdo->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_WARNING);
 		$queryString = "SELECT Student.ssn FROM Student WHERE Student.loginName=:LOGIN AND Student.passw=:PASSW;";
 
-        $stmt = $pdo->prepare($queryString);
-        $stmt->bindParam(':LOGIN', $_POST['loginName']);
-        $oldPassword=md5($_POST['password']);
+		$stmt = $pdo->prepare($queryString);
+		$stmt->bindParam(':LOGIN', $_POST['loginName']);
+		$oldPassword=md5($_POST['password']);
 		$stmt->bindParam(':PASSW', $oldPassword);
-
-        $stmt->execute();
-
-        if ($stmt->rowCount() == 1) { //Old password correct
+		$stmt->execute();
+
+		if ($stmt->rowCount() == 1) { //Old password correct
 			$student=$stmt->fetch(PDO::FETCH_ASSOC);
 			//Update password to new password
 			$updateString = "UPDATE Student 
@@ -35,7 +32,7 @@
 			$updateStmt->bindParam(':LOGIN', $_POST['loginName']);
 			$updateStmt->bindParam(':SSN', $student['ssn']);
 			$updateStmt->execute();
-			if($updateStmt->execute()){
+			if($updateStmt->execute()) {
 				$errorMsg="New password stored";
 			} else {
 				$errorMsg="ERROR: Failed to change password";

=== modified file 'trunk/DuggaSys/changePassword/pageframe.html.php'
--- trunk/DuggaSys/changePassword/pageframe.html.php	2013-03-26 23:22:55 +0000
+++ trunk/DuggaSys/changePassword/pageframe.html.php	2013-03-28 14:55:35 +0000
@@ -18,12 +18,12 @@
 					$(this).find("#scrolly").val($(document).scrollTop());
 					//var val = $("input[type=submit][clicked=true]").val()
 				});
-				$('.confirm').click(function(){
+				$('.confirm').click(function() {
 					var answer = confirm('Are you sure?');
 					return answer // answer is a boolean
 				});  
 				<?php 
-				if(isset($_POST['scrolly'])){ 
+				if(isset($_POST['scrolly'])) { 
 					echo '$(document).scrollTop('.$_POST['scrolly'].');';
 					//echo 'alert("setting scrolly");';
 				}	
@@ -35,40 +35,39 @@
 	</head>
 	<body>
 	<div id="wrapper">
-
-            <div id="menu">
-                <?php include "menu.php"; ?>
-            </div>
-            <div id="content">
-                <?php
-                if (isset($errorMsg) && $errorMsg != "") {
-                   echo "<p class='errorMsg'>".$errorMsg."</p>";
-                } 
+		<div id="menu">
+			<?php include "menu.php"; ?>
+			</div>
+				<div id="content">
+				<?php
+				if (isset($errorMsg) && $errorMsg != "") {
+					echo "<p class='errorMsg'>".$errorMsg."</p>";
+				} 
 				if (isset($userMsg) && $userMsg != "") {
-                   echo "<h3>".$userMsg."</h3>";
-                }
-                ?>
-                <?php
-                // DEBUG //////
+					echo "<h3>".$userMsg."</h3>";
+				}
+			?>
+			<?php
+				// DEBUG //////
 				/*echo "<pre>";
-                print_r($_POST);
-				//print_r($_SESSION);
-                echo "</pre>";*/
-				///////////////
-                ?>
-                <?php include $content; ?>
-            </div>
-            <div id="footer">
-                <p>Page footer</p>
-				 <?php
-                // DEBUG //////
-				echo "<pre>";
-                print_r($_POST);
-				//print_r($_SESSION);
-                echo "</pre>";
-				///////////////
-                ?>
-            </div>
-        </div>	
-    </body>
+				print_r($_POST);
+				//print_r($_SESSION);
+				echo "</pre>";*/
+				///////////////
+			?>
+			<?php include $content; ?>
+			</div>
+			<div id="footer">
+				<p>Page footer</p>
+				<?php
+					// DEBUG //////
+					echo "<pre>";
+					print_r($_POST);
+					//print_r($_SESSION);
+					echo "</pre>";
+					///////////////
+				?>
+			</div>
+		</div>
+	</body>
 </html>

=== modified file 'trunk/DuggaSys/changePassword/password.html.php'
--- trunk/DuggaSys/changePassword/password.html.php	2013-03-26 23:22:55 +0000
+++ trunk/DuggaSys/changePassword/password.html.php	2013-03-28 14:55:35 +0000
@@ -1,27 +1,27 @@
 <!DOCTYPE html>
 <html>
-    <head>
+	<head>
 		<meta charset="utf-8" />
-        <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
-        <link href="css/base.css" rel="stylesheet" type="text/css" />
-        <link href="css/login.css" rel="stylesheet" type="text/css" />
-        <title><?php $pagetitle ?></title>
-    </head>
-    <body>
-        <form action="." method="post">
-            <h3>Change password</h3>
-            <label for="loginName" >Login:</label>
-            <input type="text" name="loginName" placeholder="Your login" /><br />
-            <label for="password">Password:</label>
-            <input type="password" name="password" placeholder="Your current password"/>
+		<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+		<link href="css/base.css" rel="stylesheet" type="text/css" />
+		<link href="css/login.css" rel="stylesheet" type="text/css" />
+		<title><?php $pagetitle ?></title>
+	</head>
+	<body>
+		<form action="." method="post">
+		<h3>Change password</h3>
+			<label for="loginName" >Login:</label>
+			<input type="text" name="loginName" placeholder="Your login" /><br />
+			<label for="password">Password:</label>
+			<input type="password" name="password" placeholder="Your current password"/>
 			<label for="newPassword">New password:</label>
-            <input type="password" name="newPassword" placeholder="Your new password"/>
-            <input type="submit" name="changePasswordSubmit" value="OK" />
-        </form>
-        <?php
-        if (isset($errorMsg) && $errorMsg!="") {
-            echo "<h3>" . $errorMsg . "</h3>";
-        }
-        ?>
-    </body>
+			<input type="password" name="newPassword" placeholder="Your new password"/>
+			<input type="submit" name="changePasswordSubmit" value="OK" />
+		</form>
+		<?php
+			if (isset($errorMsg) && $errorMsg!="") {
+				echo "<h3>" . $errorMsg . "</h3>";
+			}
+		?>
+	</body>
 </html>
\ No newline at end of file

=== modified file 'trunk/DuggaSys/duggor/Dugga 1 Datorgrafik - Bithantering och Farger/dugga_checklogin.php'
--- trunk/DuggaSys/duggor/Dugga 1 Datorgrafik - Bithantering och Farger/dugga_checklogin.php	2013-03-26 23:22:55 +0000
+++ trunk/DuggaSys/duggor/Dugga 1 Datorgrafik - Bithantering och Farger/dugga_checklogin.php	2013-03-28 14:01:33 +0000
@@ -1,11 +1,11 @@
 ﻿<?php
 session_start();
 
-function htmlsafe($str){
+function htmlsafe($str) {
 	return $str=htmlspecialchars($str,ENT_QUOTES,'UTF-8');
 }
 
-function logLogin($loginName, $success, $duggaNr, $courseName, $courseOccasion, $pdo){
+function logLogin($loginName, $success, $duggaNr, $courseName, $courseOccasion, $pdo) {
 	$insertString = "INSERT INTO userLoginsLog(loginName, userAgent, userIP, DateTime, success, quizNr, courseName, courseOccasion) VALUES(:LOGIN,:UAGENT,:IP,:DATETIME,:SUCCESS,:QNR,:CNAME,:COCCASION);";
 	$insertStmt = $pdo->prepare($insertString);
 	$insertStmt->bindParam(':LOGIN', $loginName);

=== modified file 'trunk/DuggaSys/index.php'
--- trunk/DuggaSys/index.php	2013-03-26 23:22:55 +0000
+++ trunk/DuggaSys/index.php	2013-03-28 14:01:33 +0000
@@ -3,7 +3,7 @@
 <html>
 	<head>
 		<meta http-equiv="content-type" content="text/html; charset=UTF-8" />
-        <meta charset="utf-8" />
+		<meta charset="utf-8" />
 		<title></title>
 	</head>
 	<body>

=== modified file 'trunk/DuggaSys/quizAjax/answerQuiz.php'
--- trunk/DuggaSys/quizAjax/answerQuiz.php	2013-03-26 23:22:55 +0000
+++ trunk/DuggaSys/quizAjax/answerQuiz.php	2013-03-28 14:01:33 +0000
@@ -8,10 +8,10 @@
 
 session_start();
 //Check if the sent login name is the same as the one stored in the session
-if($_POST['loginName']==$_SESSION['loginName'] && $_POST['courseName']==$_SESSION['courseName'] && $_POST['quizNr']==$_SESSION['quizNr']){ 
+if($_POST['loginName']==$_SESSION['loginName'] && $_POST['courseName']==$_SESSION['courseName'] && $_POST['quizNr']==$_SESSION['quizNr']) { 
 
 	//Store answer and loginName+answer hash
-	function storeAnswer($loginName,$courseName,$courseOccasion,$quizNr,$qVarRr,$quizAnswer,$grade,$gradeComment,$ip,$userAgent,$pdo){
+	function storeAnswer($loginName,$courseName,$courseOccasion,$quizNr,$qVarRr,$quizAnswer,$grade,$gradeComment,$ip,$userAgent,$pdo) {
 		$updateQuery="UPDATE AssignedQuizzes 
 					  SET AssignedQuizzes.answer=:ANSWER, 
 						  AssignedQuizzes.answerHash=:ANSWERHASH, 
@@ -131,7 +131,7 @@
 	$stmt->bindParam(':COCCASION', $_SESSION['courseOccasion']);
 	$stmt->execute();
 
-	if($stmt->fetchColumn()==1){ //Student is registered for the course - COUNT result read from the first column of the next unread row (i.e. the first row) 
+	if($stmt->fetchColumn()==1) { //Student is registered for the course - COUNT result read from the first column of the next unread row (i.e. the first row) 
 		//Check if quiz is open (and fetch auto correction setting)
 		$queryString="SELECT Quiz.opening, Quiz.closing, Quiz.autoCorrected, Quiz.allowMultipleReplies
 					   FROM Quiz

=== modified file 'trunk/DuggaSys/quizAjax/checkStudentCourseOccasion.php'
--- trunk/DuggaSys/quizAjax/checkStudentCourseOccasion.php	2013-03-26 23:22:55 +0000
+++ trunk/DuggaSys/quizAjax/checkStudentCourseOccasion.php	2013-03-28 14:01:33 +0000
@@ -27,7 +27,7 @@
 
 $count=$stmt->fetchColumn();
 
-if($count==1){
+if($count==1) {
 	echo json_encode(array('loginSuccess' => 'true'));
 } else {
 	echo json_encode(array('loginSuccess' => 'false'));

=== modified file 'trunk/DuggaSys/quizAjax/css/app.css'
--- trunk/DuggaSys/quizAjax/css/app.css	2013-03-26 23:22:55 +0000
+++ trunk/DuggaSys/quizAjax/css/app.css	2013-03-28 14:01:33 +0000
@@ -1,238 +1,236 @@
 
-a{
-    display: block;
-    text-decoration: none;
-    color:#000;
-    padding: 3px 0;
-    font-weight: bold;
-}
-
-strong{
-    text-decoration: underline;
-}
-
-.weaponsForms, .addAlienForm, .classifySpecies{
-    float: left;
-    width: 224px;
-    margin: 15px;
-    display:block;
-    border: 1px solid #000;
-    background: #dde;
-}
-
-.classifySpecies{
-    width: 275px;
-}
-
-.addAlienForm{
-    width: 325px;
-    margin-left: auto;
-    margin-right: auto;
-}
-
-.weaponsForms{
-    width: 374px;
+a {
+	display: block;
+	text-decoration: none;
+	color:#000;
+	padding: 3px 0;
+	font-weight: bold;
+}
+
+strong {
+	text-decoration: underline;
+}
+
+.weaponsForms, .addAlienForm, .classifySpecies {
+	float: left;
+	width: 224px;
+	margin: 15px;
+	display:block;
+	border: 1px solid #000;
+	background: #dde;
+}
+
+.classifySpecies {
+	width: 275px;
+}
+
+.addAlienForm {
+	width: 325px;
+	margin-left: auto;
+	margin-right: auto;
+}
+
+.weaponsForms {
+	width: 374px;
 }
 /*
-input,label,select{
-    display:block;
-}
-
-label{
-    margin-top:8px;
-    overflow: auto;
-    padding:0 10px;
-}
-
-input[type="submit"]{
-    margin:10px;
-}
-
-input[type="text"],input[type="submit"], select{
-    float:right;
+input,label,select {
+	display:block;
+}
+
+label {
+	margin-top:8px;
+	overflow: auto;
+	padding:0 10px;
+}
+
+input[type="submit"] {
+	margin:10px;
+}
+
+input[type="text"],input[type="submit"], select {
+	float:right;
 }
 
 input,select{
-    width: 200px;
+	width: 200px;
 }
 */
-form.classifySpecies input,label{
-    float:none;
-    margin:8px auto;
-}
-
-form.classifySpecies label{
-    text-align: center;
-}
-
-tr{
-    background: #ccc;
+form.classifySpecies input,label {
+	float:none;
+	margin:8px auto;
+}
+
+form.classifySpecies label {
+	text-align: center;
+}
+
+tr {
+	background: #ccc;
 }
 
 tr:nth-child(even) {
-    background: #dde;
-}
-
-a:hover{
-    text-decoration:underline;
-}
-
-.errorMsg{
-    color:red;
-    font-weight: bold;
-}
-
-.dataTable, .dataObjectTable{
-    border:1px solid #000;
-    margin-bottom: 20px;
-}
-
-.dataTable td,th{
-    border:1px solid #000;
-    padding:2px 5px;
-    white-space: nowrap;
-    height: 20px;
-}
-
-.dataTable td input{
-    margin:0;
-    padding:0 5px;
-    /*width:100%;*/
-}
-
-.dataTable .dataRow:hover{
-    background-color: #FFF;
-    cursor:pointer;
-}
-
-.dataTable .headerRow{
-    background-color: #bfbfbf; 
-}
-
-.dataTable caption{
-    /*font-weight: bold;*/
-    color:#fff;
-    background-color: #000;
-    font-size:1.2em;
-}
-
-.dataObjectTable caption{
-    /*font-weight: bold;*/
-    color:#fff;
-    background-color: #000;
-    font-size:1.2em;
-}
-
-.dataObjectTable label{
-    display:block;
+	background: #dde;
+}
+
+a:hover {
+	text-decoration:underline;
+}
+
+.errorMsg {
+	color:red;
+	font-weight: bold;
+}
+
+.dataTable, .dataObjectTable {
+	border:1px solid #000;
+	margin-bottom: 20px;
+}
+
+.dataTable td,th {
+	border:1px solid #000;
+	padding:2px 5px;
+	white-space: nowrap;
+	height: 20px;
+}
+
+.dataTable td input {
+	margin:0;
+	padding:0 5px;
+	/*width:100%;*/
+}
+
+.dataTable .dataRow:hover {
+	background-color: #FFF;
+	cursor:pointer;
+}
+
+.dataTable .headerRow {
+	background-color: #bfbfbf; 
+}
+
+.dataTable caption {
+	/*font-weight: bold;*/
+	color:#fff;
+	background-color: #000;
+	font-size:1.2em;
+}
+
+.dataObjectTable caption {
+	/*font-weight: bold;*/
+	color:#fff;
+	background-color: #000;
+	font-size:1.2em;
+}
+
+.dataObjectTable label {
+	display:block;
 	float:left;
 	padding:5px;
 }
 
-.dataObjectTable td,th{
+.dataObjectTable td,th {
 	border:1px solid #000;
-    padding:2px 5px;
-    white-space: nowrap;
-    height: 20px;
+	padding:2px 5px;
+	white-space: nowrap;
+	height: 20px;
 }
 
-.dataObjectTable input[type="submit"]{
+.dataObjectTable input[type="submit"] {
 	margin:5px;
 	float:right;
 }
 
-#wrapper{
-    background-color: #ededed;
-    /*overflow:auto;*/
+#wrapper {
+	background-color: #ededed;
+	/*overflow:auto;*/
 	/*display:inline-block;*/
-    margin: 15px 0 50px;
-}
-
-#menu, #content, #footer{
-    border:1px solid #999;
-    background:#CCC;
-}
-
-table{
-   overflow:auto;
-}
-
-#content{
-    margin-bottom: 15px;
-    overflow:auto;
+	margin: 15px 0 50px;
+}
+
+#menu, #content, #footer {
+	border:1px solid #999;
+	background:#CCC;
+}
+
+table {
+	overflow:auto;
+}
+
+#content {
+	margin-bottom: 15px;
+	overflow:auto;
 	/*overflow:hidden;*/
-
-    padding:15px;
-    /*background-image: url('../images/ufo.png');*/
-    background-repeat: no-repeat;
-    background-position: center;
-}
-
-#menu{
-    margin-bottom: 15px;
-    padding:5px;
-    overflow: auto;
-}
-
-#menu form{
-    display:block;
-    float: left;
-    margin:0;
-    padding:0;
-}
-
-#menu form input{
-    margin:0;
-    padding:0;
-    float:left;
-}
-
-#menu form.searchForm{
-    display:block;
-   
-    float: left;
-    margin:0 30px 0;
-    padding:0;
-}
-
-#menu form.searchForm input{
-    margin-top: 5px;
-}
-
-#menu a{
-    font-weight: bold;
-    color:#000;
-    text-decoration: none;
-    display:block;
-    float: left;
-    font-size: 1.5em;
-    margin:5px;
-    padding:0;
-    /*border:1px solid #ccc;*/
-    border-radius:3px;
-}
-
-#menu a:hover{
-    background-color: #fff;
-     /*box-shadow: 5px 5px #000;*/
-    /*border:1px solid #eee;*/
-    box-shadow: -5px -5px 15px #fff, 5px -5px 20px #fdfdfd, 5px 5px 15px #fcfcfc, -5px 5px 20px #fcfcfc;
-}
-
-#menu .logoutForm{
-    float: right;
-}
-
-#menu a.currentLink{
-    background-color: #eee;
-     box-shadow: -5px -5px 20px #eee, 5px -5px 15px #ededed, 5px 5px 20px #ececec, -5px 5px 15px #ececec;
-    /*border:1px solid #999;*/
-}
-
-#footer{
-    padding:15px;
-}
-
-#footer p{
-    text-align: center;
+	padding:15px;
+	/*background-image: url('../images/ufo.png');*/
+	background-repeat: no-repeat;
+	background-position: center;
+}
+
+#menu {
+	margin-bottom: 15px;
+	padding:5px;
+	overflow: auto;
+}
+
+#menu form {
+	display:block;
+	float: left;
+	margin:0;
+	padding:0;
+}
+
+#menu form input {
+	margin:0;
+	padding:0;
+	float:left;
+}
+
+#menu form.searchForm {
+	display:block;
+	float: left;
+	margin:0 30px 0;
+	padding:0;
+}
+
+#menu form.searchForm input {
+	margin-top: 5px;
+}
+
+#menu a {
+	font-weight: bold;
+	color:#000;
+	text-decoration: none;
+	display:block;
+	float: left;
+	font-size: 1.5em;
+	margin:5px;
+	padding:0;
+	/*border:1px solid #ccc;*/
+	border-radius:3px;
+}
+
+#menu a:hover {
+	background-color: #fff;
+	/*box-shadow: 5px 5px #000;*/
+	/*border:1px solid #eee;*/
+	box-shadow: -5px -5px 15px #fff, 5px -5px 20px #fdfdfd, 5px 5px 15px #fcfcfc, -5px 5px 20px #fcfcfc;
+}
+
+#menu .logoutForm {
+	float: right;
+}
+
+#menu a.currentLink {
+	background-color: #eee;
+	box-shadow: -5px -5px 20px #eee, 5px -5px 15px #ededed, 5px 5px 20px #ececec, -5px 5px 15px #ececec;
+	/*border:1px solid #999;*/
+}
+
+#footer {
+	padding:15px;
+}
+
+#footer p {
+	text-align: center;
 }

=== modified file 'trunk/DuggaSys/quizAjax/css/base.css'
--- trunk/DuggaSys/quizAjax/css/base.css	2013-03-26 23:22:55 +0000
+++ trunk/DuggaSys/quizAjax/css/base.css	2013-03-28 14:01:33 +0000
@@ -5,64 +5,64 @@
 html {font-size:125%;}
 
 body{
-    font-size:50%;
-    background-color:#BEC3C6;
-}
-
-p, a, h1, h2, h3, h4, h5, table, td, th, label, caption{
-    font-family:Helvetica, Arial, sans-serif;
-}
-
-h1{
-    font-size:3.4em;
-}
-
-h2{
-    font-size:2.1em;
-    clear:both;
-}
-
-p, a{
-    font-size:1.4em;
-}
-
-th, td, caption{
-    font-size:1.0em;
-}
-
-p a{
-    font-size:14px;
+	font-size:50%;
+	background-color:#BEC3C6;
+}
+
+p, a, h1, h2, h3, h4, h5, table, td, th, label, caption {
+	font-family:Helvetica, Arial, sans-serif;
+}
+
+h1 {
+	font-size:3.4em;
+}
+
+h2 {
+	font-size:2.1em;
+	clear:both;
+}
+
+p, a {
+	font-size:1.4em;
+}
+
+th, td, caption {
+	font-size:1.0em;
+}
+
+p a {
+	ont-size:14px;
 }
 
 a {outline: none;}
 
-table{
-    border-collapse:collapse;
-    border-spacing: 0px;
-    clear:both;
+table {
+	border-collapse:collapse;
+	border-spacing: 0px;
+	clear:both;
 }
 
-fieldset{
-    border:1px solid #CCCCCC;
-    background-color:#F3F3F3;
-    margin:10px 0;
-    padding: 15px 10px;
+fieldset {
+	border:1px solid #CCCCCC;
+	background-color:#F3F3F3;
+	margin:10px 0;
+	padding: 15px 10px;
 }
 
 textarea {
-    resize: none;
+	resize: none;
 } 
 
-form{
-    padding:0;
+form {
+	padding:0;
 }
 
-form h3{
-    padding:0;
-    margin:0;
-    text-align: center;
-    color: #fff;
-    background-color:#000;
-    font-size:1.6em;
-    font-weight:normal;
+form h3 {
+	padding:0;
+	margin:0;
+	text-align: center;
+	color: #fff;
+	background-color:#000;
+	font-size:1.6em;
+	font-weight:normal;
 }

=== modified file 'trunk/DuggaSys/quizAjax/getQuiz.php'
--- trunk/DuggaSys/quizAjax/getQuiz.php	2013-03-26 23:22:55 +0000
+++ trunk/DuggaSys/quizAjax/getQuiz.php	2013-03-28 14:01:33 +0000
@@ -2,14 +2,14 @@
 //// Returns a quiz variant including quiz data (If the student is registered for the course and the quiz is open)
 //// If no quiz variant already assigned to the student a variant will be randomly selected and assigned
 //// Parameters: (POST) login, courseName, courseOccasion, quizNr
-//// Returns:  quizNr 
-////           quizCourseName 
-////		   quizData 
-////		   quizObjectIDs 
+//// Returns:	quizNr 
+////			quizCourseName 
+////			quizData 
+////			quizObjectIDs 
 
 session_start();
 //Check if the sent login name is the same as the one stored in the session
-if($_POST['loginName']==$_SESSION['loginName'] && $_POST['courseName']==$_SESSION['courseName'] && $_POST['quizNr']==$_SESSION['quizNr']){ 
+if($_POST['loginName']==$_SESSION['loginName'] && $_POST['courseName']==$_SESSION['courseName'] && $_POST['quizNr']==$_SESSION['quizNr']) { 
 
 //Prevents browsers (IE) from caching the response
 header('Cache-Control: no-cache, must-revalidate');
@@ -18,7 +18,7 @@
 header('Content-type: application/json; charset=utf-8'); 
 
 /* Function used to fetch quiz variant data */
-function fetchQuizVariant($courseName, $quizNr, $quizVariantNr, $pdo){					
+function fetchQuizVariant($courseName, $quizNr, $quizVariantNr, $pdo) {
 	$queryString=" SELECT QuizVariant.quizNr, QuizVariant.quizCourseName, QuizVariant.quizObjectIDs, Quiz.quizData 
 					FROM QuizVariant, Quiz
 					WHERE QuizVariant.quizNr=Quiz.nr 
@@ -53,7 +53,7 @@
 $stmt->bindParam(':COCCASION', $_POST['courseOccasion']);
 $stmt->execute();
 
-if($stmt->fetchColumn()==1){ //Student is registered for the course - COUNT result read from the first column of the next unread row (i.e. the first row) 
+if($stmt->fetchColumn()==1) { //Student is registered for the course - COUNT result read from the first column of the next unread row (i.e. the first row) 
 	
 	//Check if quiz is open
 	$queryString="SELECT Quiz.opening, Quiz.closing, Quiz.allowMultipleReplies
@@ -65,7 +65,7 @@
 	$stmt->bindParam(':CNAME', $_POST['courseName']);
 	$stmt->execute();
 	$quizData=$stmt->fetch(PDO::FETCH_ASSOC); 
-	if($quizData){
+	if($quizData) {
 		$now = new DateTime();
 		$opening = new DateTime($quizData['opening']);
 		$closing = new DateTime($quizData['closing']);
@@ -100,17 +100,17 @@
 	$result=$stmt->fetch(PDO::FETCH_ASSOC);
 	if($result){ //If this quiz is assigned to the student
 	//if($stmt->rowCount() >= 1){ //If this quiz is assigned to the student
-			
-			if($result['answerHash']!=NULL && $quizData['allowMultipleReplies']!='1'){ //Student has already answered the quiz
-				echo json_encode(array('Error' => 'This student has already answered this quiz', 'answerHash'=>$result['answerHash']));
-				exit();
-			} else { //Return quiz variant data assigned to student
-				$quizVariant=$result['qVarNr'];
-				$quizVariantData=fetchQuizVariant($_POST['courseName'], $_POST['quizNr'], $quizVariant, $pdo);
-				$quizVariantData['storedAnswer']=$result['answer'];
-				echo json_encode($quizVariantData);
-				exit();
-			}
+
+		if($result['answerHash']!=NULL && $quizData['allowMultipleReplies']!='1'){ //Student has already answered the quiz
+			echo json_encode(array('Error' => 'This student has already answered this quiz', 'answerHash'=>$result['answerHash']));
+			exit();
+		} else { //Return quiz variant data assigned to student
+			$quizVariant=$result['qVarNr'];
+			$quizVariantData=fetchQuizVariant($_POST['courseName'], $_POST['quizNr'], $quizVariant, $pdo);
+			$quizVariantData['storedAnswer']=$result['answer'];
+			echo json_encode($quizVariantData);
+			exit();
+		}
 	} else { //This quiz has not been assigned to the student
 		//Select random variant for requested quiz nr (for a particular course)
 		//$queryString="SELECT COUNT(QuizVariant.quizNr) 
@@ -121,19 +121,18 @@
 		$queryString="SELECT QuizVariant.qVarNr 
 					  FROM QuizVariant
 					  WHERE QuizVariant.quizNr=:QNR 
-						AND QuizVariant.quizCourseName=:CNAME;";
+					  AND QuizVariant.quizCourseName=:CNAME;";
 		
 		$stmt = $pdo->prepare($queryString);
-		
 		$stmt->bindParam(':QNR', $_POST['quizNr']);
 		$stmt->bindParam(':CNAME', $_POST['courseName']);
 		$stmt->execute();
 		$quizVariants=$stmt->fetchAll(PDO::FETCH_NUM);
-		if(count($quizVariants)>0){
+		if(count($quizVariants)>0) {
 			$randomIndex=rand(0,count($quizVariants)-1);
 			$quizVariant=$quizVariants[$randomIndex][0];
 			$quizVariantData=fetchQuizVariant($_POST['courseName'], $_POST['quizNr'], $quizVariant, $pdo);
-			
+
 			//Store selected variant
 			$insertString="INSERT INTO AssignedQuizzes(ssn, quizNr, qVarNr, quizCourseName, courseOccasion) 
 						   VALUES((SELECT Student.ssn FROM Student WHERE Student.loginName=:LOGIN), :QNR, :QVARNR, :CNAME, :COCCASION);";
@@ -144,7 +143,7 @@
 			$insertStmt->bindParam(':QVARNR', $quizVariant);  
 			$insertStmt->bindParam(':COCCASION', $_SESSION['courseOccasion']);
 			$insertStmt->execute();
-			
+
 			echo json_encode($quizVariantData);	
 			exit();
 		} else {

=== modified file 'trunk/DuggaSys/quizAjax/getQuizObject.php'
--- trunk/DuggaSys/quizAjax/getQuizObject.php	2013-03-26 23:22:55 +0000
+++ trunk/DuggaSys/quizAjax/getQuizObject.php	2013-03-28 14:01:33 +0000
@@ -28,7 +28,7 @@
 	$stmt->bindParam(':COCCASION', $_POST['courseOccasion']);
 	$stmt->execute();
 
-	if($stmt->fetchColumn()==1){ //Student is registered for the course - COUNT result read from the first column of the next unread row (i.e. the first row) 
+	if($stmt->fetchColumn()==1) { //Student is registered for the course - COUNT result read from the first column of the next unread row (i.e. the first row) 
 		
 		//Check if quiz is open
 		$queryString="SELECT Quiz.opening, Quiz.closing
@@ -87,7 +87,7 @@
 
 		$quizVariantObject=$stmt->fetch(PDO::FETCH_ASSOC);
 
-		if(count($quizVariantObject)>0){
+		if(count($quizVariantObject)>0) {
 			$quizVariantObject['objectData']=htmlspecialchars_decode($quizVariantObject['objectData']);
 			echo json_encode($quizVariantObject);
 			exit();

=== modified file 'trunk/DuggaSys/quizAjax/getStudentCourseRegistrations.php'
--- trunk/DuggaSys/quizAjax/getStudentCourseRegistrations.php	2013-03-26 23:22:55 +0000
+++ trunk/DuggaSys/quizAjax/getStudentCourseRegistrations.php	2013-03-28 14:01:33 +0000
@@ -19,7 +19,7 @@
 $stmt->bindParam(':PASSW', $_POST['password']);
 $stmt->execute();
 $count=$stmt->rowCount();
-if($count==1){ //login successfull
+if($count==1) { //login successfull
 	$studentData=$stmt->fetch(PDO::FETCH_ASSOC);
 	$queryString="SELECT StudentCourseRegistration.courseName, StudentCourseRegistration.courseOccasion
 				  FROM StudentCourseRegistration
@@ -29,7 +29,7 @@
 	$stmt->execute();
 	$listOfCourseRegistrations=array();
 	$courseRegistrations=$stmt->fetchAll(PDO::FETCH_ASSOC);
-	foreach($courseRegistrations as $row){
+	foreach($courseRegistrations as $row) {
 		array_push($listOfCourseRegistrations, array('courseName'=>$row['courseName'],'courseOccasion'=>$row['courseOccasion']));
 	}
 	echo json_encode(array('loginSuccess' => 'true','courseRegistrations'=>$listOfCourseRegistrations));

=== modified file 'trunk/DuggaSys/quizAjax/js/md5.js'
--- trunk/DuggaSys/quizAjax/js/md5.js	2013-03-26 23:22:55 +0000
+++ trunk/DuggaSys/quizAjax/js/md5.js	2013-03-28 14:01:33 +0000
@@ -49,18 +49,18 @@
  */
 function rstr_hmac_md5(key, data)
 {
-  var bkey = rstr2binl(key);
-  if(bkey.length > 16) bkey = binl_md5(bkey, key.length * 8);
-
-  var ipad = Array(16), opad = Array(16);
-  for(var i = 0; i < 16; i++)
-  {
-    ipad[i] = bkey[i] ^ 0x36363636;
-    opad[i] = bkey[i] ^ 0x5C5C5C5C;
-  }
-
-  var hash = binl_md5(ipad.concat(rstr2binl(data)), 512 + data.length * 8);
-  return binl2rstr(binl_md5(opad.concat(hash), 512 + 128));
+	var bkey = rstr2binl(key);
+	if(bkey.length > 16) bkey = binl_md5(bkey, key.length * 8);
+
+	var ipad = Array(16), opad = Array(16);
+	for(var i = 0; i < 16; i++)
+	{
+		ipad[i] = bkey[i] ^ 0x36363636;
+		opad[i] = bkey[i] ^ 0x5C5C5C5C;
+	}
+
+	var hash = binl_md5(ipad.concat(rstr2binl(data)), 512 + data.length * 8);
+	return binl2rstr(binl_md5(opad.concat(hash), 512 + 128));
 }
 
 /*
@@ -68,17 +68,17 @@
  */
 function rstr2hex(input)
 {
-  try { hexcase } catch(e) { hexcase=0; }
-  var hex_tab = hexcase ? "0123456789ABCDEF" : "0123456789abcdef";
-  var output = "";
-  var x;
-  for(var i = 0; i < input.length; i++)
-  {
-    x = input.charCodeAt(i);
-    output += hex_tab.charAt((x >>> 4) & 0x0F)
-           +  hex_tab.charAt( x        & 0x0F);
-  }
-  return output;
+	try { hexcase } catch(e) { hexcase=0; }
+	var hex_tab = hexcase ? "0123456789ABCDEF" : "0123456789abcdef";
+	var output = "";
+	var x;
+	for(var i = 0; i < input.length; i++)
+	{
+		x = input.charCodeAt(i);
+		output += hex_tab.charAt((x >>> 4) & 0x0F)
+			   +  hex_tab.charAt( x        & 0x0F);
+	}
+	return output;
 }
 
 /*
@@ -86,22 +86,22 @@
  */
 function rstr2b64(input)
 {
-  try { b64pad } catch(e) { b64pad=''; }
-  var tab = "ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789+/";
-  var output = "";
-  var len = input.length;
-  for(var i = 0; i < len; i += 3)
-  {
-    var triplet = (input.charCodeAt(i) << 16)
-                | (i + 1 < len ? input.charCodeAt(i+1) << 8 : 0)
-                | (i + 2 < len ? input.charCodeAt(i+2)      : 0);
-    for(var j = 0; j < 4; j++)
-    {
-      if(i * 8 + j * 6 > input.length * 8) output += b64pad;
-      else output += tab.charAt((triplet >>> 6*(3-j)) & 0x3F);
-    }
-  }
-  return output;
+	try { b64pad } catch(e) { b64pad=''; }
+	var tab = "ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789+/";
+	var output = "";
+	var len = input.length;
+	for(var i = 0; i < len; i += 3)
+	{
+		var triplet = (input.charCodeAt(i) << 16)
+			| (i + 1 < len ? input.charCodeAt(i+1) << 8 : 0)
+			| (i + 2 < len ? input.charCodeAt(i+2)      : 0);
+		for(var j = 0; j < 4; j++)
+		{
+			if(i * 8 + j * 6 > input.length * 8) output += b64pad;
+			else output += tab.charAt((triplet >>> 6*(3-j)) & 0x3F);
+		}
+	}
+	return output;
 }
 
 /*
@@ -109,47 +109,47 @@
  */
 function rstr2any(input, encoding)
 {
-  var divisor = encoding.length;
-  var i, j, q, x, quotient;
-
-  /* Convert to an array of 16-bit big-endian values, forming the dividend */
-  var dividend = Array(Math.ceil(input.length / 2));
-  for(i = 0; i < dividend.length; i++)
-  {
-    dividend[i] = (input.charCodeAt(i * 2) << 8) | input.charCodeAt(i * 2 + 1);
-  }
-
-  /*
-   * Repeatedly perform a long division. The binary array forms the dividend,
-   * the length of the encoding is the divisor. Once computed, the quotient
-   * forms the dividend for the next step. All remainders are stored for later
-   * use.
-   */
-  var full_length = Math.ceil(input.length * 8 /
-                                    (Math.log(encoding.length) / Math.log(2)));
-  var remainders = Array(full_length);
-  for(j = 0; j < full_length; j++)
-  {
-    quotient = Array();
-    x = 0;
-    for(i = 0; i < dividend.length; i++)
-    {
-      x = (x << 16) + dividend[i];
-      q = Math.floor(x / divisor);
-      x -= q * divisor;
-      if(quotient.length > 0 || q > 0)
-        quotient[quotient.length] = q;
-    }
-    remainders[j] = x;
-    dividend = quotient;
-  }
-
-  /* Convert the remainders to the output string */
-  var output = "";
-  for(i = remainders.length - 1; i >= 0; i--)
-    output += encoding.charAt(remainders[i]);
-
-  return output;
+	var divisor = encoding.length;
+	var i, j, q, x, quotient;
+
+	/* Convert to an array of 16-bit big-endian values, forming the dividend */
+	var dividend = Array(Math.ceil(input.length / 2));
+	for(i = 0; i < dividend.length; i++)
+	{
+		dividend[i] = (input.charCodeAt(i * 2) << 8) | input.charCodeAt(i * 2 + 1);
+	}
+
+	/*
+	 * Repeatedly perform a long division. The binary array forms the dividend,
+	 * the length of the encoding is the divisor. Once computed, the quotient
+	 * forms the dividend for the next step. All remainders are stored for later
+	 * use.
+	 */
+	var full_length = Math.ceil(input.length * 8 /
+							   (Math.log(encoding.length) / Math.log(2)));
+	var remainders = Array(full_length);
+	for(j = 0; j < full_length; j++)
+	{
+		quotient = Array();
+		x = 0;
+		for(i = 0; i < dividend.length; i++)
+		{
+			x = (x << 16) + dividend[i];
+			q = Math.floor(x / divisor);
+			x -= q * divisor;
+			if(quotient.length > 0 || q > 0)
+			   quotient[quotient.length] = q;
+		}
+		remainders[j] = x;
+		dividend = quotient;
+	}
+
+	/* Convert the remainders to the output string */
+	var output = "";
+	for(i = remainders.length - 1; i >= 0; i--)
+		output += encoding.charAt(remainders[i]);
+
+	return output;
 }
 
 /*
@@ -158,36 +158,36 @@
  */
 function str2rstr_utf8(input)
 {
-  var output = "";
-  var i = -1;
-  var x, y;
-
-  while(++i < input.length)
-  {
-    /* Decode utf-16 surrogate pairs */
-    x = input.charCodeAt(i);
-    y = i + 1 < input.length ? input.charCodeAt(i + 1) : 0;
-    if(0xD800 <= x && x <= 0xDBFF && 0xDC00 <= y && y <= 0xDFFF)
-    {
-      x = 0x10000 + ((x & 0x03FF) << 10) + (y & 0x03FF);
-      i++;
-    }
-
-    /* Encode output as utf-8 */
-    if(x <= 0x7F)
-      output += String.fromCharCode(x);
-    else if(x <= 0x7FF)
-      output += String.fromCharCode(0xC0 | ((x >>> 6 ) & 0x1F),
-                                    0x80 | ( x         & 0x3F));
-    else if(x <= 0xFFFF)
-      output += String.fromCharCode(0xE0 | ((x >>> 12) & 0x0F),
-                                    0x80 | ((x >>> 6 ) & 0x3F),
-                                    0x80 | ( x         & 0x3F));
+	var output = "";
+	var i = -1;
+	var x, y;
+
+	while(++i < input.length)
+	{
+		/* Decode utf-16 surrogate pairs */
+		x = input.charCodeAt(i);
+		y = i + 1 < input.length ? input.charCodeAt(i + 1) : 0;
+		if(0xD800 <= x && x <= 0xDBFF && 0xDC00 <= y && y <= 0xDFFF)
+		{
+			x = 0x10000 + ((x & 0x03FF) << 10) + (y & 0x03FF);
+			i++;
+		}
+
+	/* Encode output as utf-8 */
+	if(x <= 0x7F)
+	output += String.fromCharCode(x);
+	else if(x <= 0x7FF)
+	output += String.fromCharCode(0xC0 | ((x >>> 6 ) & 0x1F),
+									0x80 | ( x         & 0x3F));
+	else if(x <= 0xFFFF)
+	  output += String.fromCharCode(0xE0 | ((x >>> 12) & 0x0F),
+									0x80 | ((x >>> 6 ) & 0x3F),
+									0x80 | ( x         & 0x3F));
     else if(x <= 0x1FFFFF)
       output += String.fromCharCode(0xF0 | ((x >>> 18) & 0x07),
-                                    0x80 | ((x >>> 12) & 0x3F),
-                                    0x80 | ((x >>> 6 ) & 0x3F),
-                                    0x80 | ( x         & 0x3F));
+									0x80 | ((x >>> 12) & 0x3F),
+									0x80 | ((x >>> 6 ) & 0x3F),
+									0x80 | ( x         & 0x3F));
   }
   return output;
 }
@@ -197,20 +197,20 @@
  */
 function str2rstr_utf16le(input)
 {
-  var output = "";
-  for(var i = 0; i < input.length; i++)
-    output += String.fromCharCode( input.charCodeAt(i)        & 0xFF,
-                                  (input.charCodeAt(i) >>> 8) & 0xFF);
-  return output;
+	var output = "";
+	for(var i = 0; i < input.length; i++)
+		output += String.fromCharCode(input.charCodeAt(i)        & 0xFF,
+									 (input.charCodeAt(i) >>> 8) & 0xFF);
+	return output;
 }
 
 function str2rstr_utf16be(input)
 {
-  var output = "";
-  for(var i = 0; i < input.length; i++)
-    output += String.fromCharCode((input.charCodeAt(i) >>> 8) & 0xFF,
-                                   input.charCodeAt(i)        & 0xFF);
-  return output;
+	var output = "";
+	for(var i = 0; i < input.length; i++)
+		output += String.fromCharCode((input.charCodeAt(i) >>> 8) & 0xFF,
+									   input.charCodeAt(i)        & 0xFF);
+	return output;
 }
 
 /*
@@ -219,12 +219,12 @@
  */
 function rstr2binl(input)
 {
-  var output = Array(input.length >> 2);
-  for(var i = 0; i < output.length; i++)
-    output[i] = 0;
-  for(var i = 0; i < input.length * 8; i += 8)
-    output[i>>5] |= (input.charCodeAt(i / 8) & 0xFF) << (i%32);
-  return output;
+	var output = Array(input.length >> 2);
+	for(var i = 0; i < output.length; i++)
+		output[i] = 0;
+	for(var i = 0; i < input.length * 8; i += 8)
+		output[i>>5] |= (input.charCodeAt(i / 8) & 0xFF) << (i%32);
+	return output;
 }
 
 /*
@@ -232,10 +232,10 @@
  */
 function binl2rstr(input)
 {
-  var output = "";
-  for(var i = 0; i < input.length * 32; i += 8)
-    output += String.fromCharCode((input[i>>5] >>> (i % 32)) & 0xFF);
-  return output;
+	var output = "";
+	for(var i = 0; i < input.length * 32; i += 8)
+		output += String.fromCharCode((input[i>>5] >>> (i % 32)) & 0xFF);
+	return output;
 }
 
 /*
@@ -243,96 +243,96 @@
  */
 function binl_md5(x, len)
 {
-  /* append padding */
-  x[len >> 5] |= 0x80 << ((len) % 32);
-  x[(((len + 64) >>> 9) << 4) + 14] = len;
-
-  var a =  1732584193;
-  var b = -271733879;
-  var c = -1732584194;
-  var d =  271733878;
-
-  for(var i = 0; i < x.length; i += 16)
-  {
-    var olda = a;
-    var oldb = b;
-    var oldc = c;
-    var oldd = d;
-
-    a = md5_ff(a, b, c, d, x[i+ 0], 7 , -680876936);
-    d = md5_ff(d, a, b, c, x[i+ 1], 12, -389564586);
-    c = md5_ff(c, d, a, b, x[i+ 2], 17,  606105819);
-    b = md5_ff(b, c, d, a, x[i+ 3], 22, -1044525330);
-    a = md5_ff(a, b, c, d, x[i+ 4], 7 , -176418897);
-    d = md5_ff(d, a, b, c, x[i+ 5], 12,  1200080426);
-    c = md5_ff(c, d, a, b, x[i+ 6], 17, -1473231341);
-    b = md5_ff(b, c, d, a, x[i+ 7], 22, -45705983);
-    a = md5_ff(a, b, c, d, x[i+ 8], 7 ,  1770035416);
-    d = md5_ff(d, a, b, c, x[i+ 9], 12, -1958414417);
-    c = md5_ff(c, d, a, b, x[i+10], 17, -42063);
-    b = md5_ff(b, c, d, a, x[i+11], 22, -1990404162);
-    a = md5_ff(a, b, c, d, x[i+12], 7 ,  1804603682);
-    d = md5_ff(d, a, b, c, x[i+13], 12, -40341101);
-    c = md5_ff(c, d, a, b, x[i+14], 17, -1502002290);
-    b = md5_ff(b, c, d, a, x[i+15], 22,  1236535329);
-
-    a = md5_gg(a, b, c, d, x[i+ 1], 5 , -165796510);
-    d = md5_gg(d, a, b, c, x[i+ 6], 9 , -1069501632);
-    c = md5_gg(c, d, a, b, x[i+11], 14,  643717713);
-    b = md5_gg(b, c, d, a, x[i+ 0], 20, -373897302);
-    a = md5_gg(a, b, c, d, x[i+ 5], 5 , -701558691);
-    d = md5_gg(d, a, b, c, x[i+10], 9 ,  38016083);
-    c = md5_gg(c, d, a, b, x[i+15], 14, -660478335);
-    b = md5_gg(b, c, d, a, x[i+ 4], 20, -405537848);
-    a = md5_gg(a, b, c, d, x[i+ 9], 5 ,  568446438);
-    d = md5_gg(d, a, b, c, x[i+14], 9 , -1019803690);
-    c = md5_gg(c, d, a, b, x[i+ 3], 14, -187363961);
-    b = md5_gg(b, c, d, a, x[i+ 8], 20,  1163531501);
-    a = md5_gg(a, b, c, d, x[i+13], 5 , -1444681467);
-    d = md5_gg(d, a, b, c, x[i+ 2], 9 , -51403784);
-    c = md5_gg(c, d, a, b, x[i+ 7], 14,  1735328473);
-    b = md5_gg(b, c, d, a, x[i+12], 20, -1926607734);
-
-    a = md5_hh(a, b, c, d, x[i+ 5], 4 , -378558);
-    d = md5_hh(d, a, b, c, x[i+ 8], 11, -2022574463);
-    c = md5_hh(c, d, a, b, x[i+11], 16,  1839030562);
-    b = md5_hh(b, c, d, a, x[i+14], 23, -35309556);
-    a = md5_hh(a, b, c, d, x[i+ 1], 4 , -1530992060);
-    d = md5_hh(d, a, b, c, x[i+ 4], 11,  1272893353);
-    c = md5_hh(c, d, a, b, x[i+ 7], 16, -155497632);
-    b = md5_hh(b, c, d, a, x[i+10], 23, -1094730640);
-    a = md5_hh(a, b, c, d, x[i+13], 4 ,  681279174);
-    d = md5_hh(d, a, b, c, x[i+ 0], 11, -358537222);
-    c = md5_hh(c, d, a, b, x[i+ 3], 16, -722521979);
-    b = md5_hh(b, c, d, a, x[i+ 6], 23,  76029189);
-    a = md5_hh(a, b, c, d, x[i+ 9], 4 , -640364487);
-    d = md5_hh(d, a, b, c, x[i+12], 11, -421815835);
-    c = md5_hh(c, d, a, b, x[i+15], 16,  530742520);
-    b = md5_hh(b, c, d, a, x[i+ 2], 23, -995338651);
-
-    a = md5_ii(a, b, c, d, x[i+ 0], 6 , -198630844);
-    d = md5_ii(d, a, b, c, x[i+ 7], 10,  1126891415);
-    c = md5_ii(c, d, a, b, x[i+14], 15, -1416354905);
-    b = md5_ii(b, c, d, a, x[i+ 5], 21, -57434055);
-    a = md5_ii(a, b, c, d, x[i+12], 6 ,  1700485571);
-    d = md5_ii(d, a, b, c, x[i+ 3], 10, -1894986606);
-    c = md5_ii(c, d, a, b, x[i+10], 15, -1051523);
-    b = md5_ii(b, c, d, a, x[i+ 1], 21, -2054922799);
-    a = md5_ii(a, b, c, d, x[i+ 8], 6 ,  1873313359);
-    d = md5_ii(d, a, b, c, x[i+15], 10, -30611744);
-    c = md5_ii(c, d, a, b, x[i+ 6], 15, -1560198380);
-    b = md5_ii(b, c, d, a, x[i+13], 21,  1309151649);
-    a = md5_ii(a, b, c, d, x[i+ 4], 6 , -145523070);
-    d = md5_ii(d, a, b, c, x[i+11], 10, -1120210379);
-    c = md5_ii(c, d, a, b, x[i+ 2], 15,  718787259);
-    b = md5_ii(b, c, d, a, x[i+ 9], 21, -343485551);
-
-    a = safe_add(a, olda);
-    b = safe_add(b, oldb);
-    c = safe_add(c, oldc);
-    d = safe_add(d, oldd);
-  }
-  return Array(a, b, c, d);
+	/* append padding */
+	x[len >> 5] |= 0x80 << ((len) % 32);
+	x[(((len + 64) >>> 9) << 4) + 14] = len;
+
+	var a =  1732584193;
+	var b = -271733879;
+	var c = -1732584194;
+	var d =  271733878;
+
+	for(var i = 0; i < x.length; i += 16)
+	{
+		var olda = a;
+		var oldb = b;
+		var oldc = c;
+		var oldd = d;
+
+		a = md5_ff(a, b, c, d, x[i+ 0], 7 , -680876936);
+		d = md5_ff(d, a, b, c, x[i+ 1], 12, -389564586);
+		c = md5_ff(c, d, a, b, x[i+ 2], 17,  606105819);
+		b = md5_ff(b, c, d, a, x[i+ 3], 22, -1044525330);
+		a = md5_ff(a, b, c, d, x[i+ 4], 7 , -176418897);
+		d = md5_ff(d, a, b, c, x[i+ 5], 12,  1200080426);
+		c = md5_ff(c, d, a, b, x[i+ 6], 17, -1473231341);
+		b = md5_ff(b, c, d, a, x[i+ 7], 22, -45705983);
+		a = md5_ff(a, b, c, d, x[i+ 8], 7 ,  1770035416);
+		d = md5_ff(d, a, b, c, x[i+ 9], 12, -1958414417);
+		c = md5_ff(c, d, a, b, x[i+10], 17, -42063);
+		b = md5_ff(b, c, d, a, x[i+11], 22, -1990404162);
+		a = md5_ff(a, b, c, d, x[i+12], 7 ,  1804603682);
+		d = md5_ff(d, a, b, c, x[i+13], 12, -40341101);
+		c = md5_ff(c, d, a, b, x[i+14], 17, -1502002290);
+		b = md5_ff(b, c, d, a, x[i+15], 22,  1236535329);
+
+		a = md5_gg(a, b, c, d, x[i+ 1], 5 , -165796510);
+		d = md5_gg(d, a, b, c, x[i+ 6], 9 , -1069501632);
+		c = md5_gg(c, d, a, b, x[i+11], 14,  643717713);
+		b = md5_gg(b, c, d, a, x[i+ 0], 20, -373897302);
+		a = md5_gg(a, b, c, d, x[i+ 5], 5 , -701558691);
+		d = md5_gg(d, a, b, c, x[i+10], 9 ,  38016083);
+		c = md5_gg(c, d, a, b, x[i+15], 14, -660478335);
+		b = md5_gg(b, c, d, a, x[i+ 4], 20, -405537848);
+		a = md5_gg(a, b, c, d, x[i+ 9], 5 ,  568446438);
+		d = md5_gg(d, a, b, c, x[i+14], 9 , -1019803690);
+		c = md5_gg(c, d, a, b, x[i+ 3], 14, -187363961);
+		b = md5_gg(b, c, d, a, x[i+ 8], 20,  1163531501);
+		a = md5_gg(a, b, c, d, x[i+13], 5 , -1444681467);
+		d = md5_gg(d, a, b, c, x[i+ 2], 9 , -51403784);
+		c = md5_gg(c, d, a, b, x[i+ 7], 14,  1735328473);
+		b = md5_gg(b, c, d, a, x[i+12], 20, -1926607734);
+
+		a = md5_hh(a, b, c, d, x[i+ 5], 4 , -378558);
+		d = md5_hh(d, a, b, c, x[i+ 8], 11, -2022574463);
+		c = md5_hh(c, d, a, b, x[i+11], 16,  1839030562);
+		b = md5_hh(b, c, d, a, x[i+14], 23, -35309556);
+		a = md5_hh(a, b, c, d, x[i+ 1], 4 , -1530992060);
+		d = md5_hh(d, a, b, c, x[i+ 4], 11,  1272893353);
+		c = md5_hh(c, d, a, b, x[i+ 7], 16, -155497632);
+		b = md5_hh(b, c, d, a, x[i+10], 23, -1094730640);
+		a = md5_hh(a, b, c, d, x[i+13], 4 ,  681279174);
+		d = md5_hh(d, a, b, c, x[i+ 0], 11, -358537222);
+		c = md5_hh(c, d, a, b, x[i+ 3], 16, -722521979);
+		b = md5_hh(b, c, d, a, x[i+ 6], 23,  76029189);
+		a = md5_hh(a, b, c, d, x[i+ 9], 4 , -640364487);
+		d = md5_hh(d, a, b, c, x[i+12], 11, -421815835);
+		c = md5_hh(c, d, a, b, x[i+15], 16,  530742520);
+		b = md5_hh(b, c, d, a, x[i+ 2], 23, -995338651);
+
+		a = md5_ii(a, b, c, d, x[i+ 0], 6 , -198630844);
+		d = md5_ii(d, a, b, c, x[i+ 7], 10,  1126891415);
+		c = md5_ii(c, d, a, b, x[i+14], 15, -1416354905);
+		b = md5_ii(b, c, d, a, x[i+ 5], 21, -57434055);
+		a = md5_ii(a, b, c, d, x[i+12], 6 ,  1700485571);
+		d = md5_ii(d, a, b, c, x[i+ 3], 10, -1894986606);
+		c = md5_ii(c, d, a, b, x[i+10], 15, -1051523);
+		b = md5_ii(b, c, d, a, x[i+ 1], 21, -2054922799);
+		a = md5_ii(a, b, c, d, x[i+ 8], 6 ,  1873313359);
+		d = md5_ii(d, a, b, c, x[i+15], 10, -30611744);
+		c = md5_ii(c, d, a, b, x[i+ 6], 15, -1560198380);
+		b = md5_ii(b, c, d, a, x[i+13], 21,  1309151649);
+		a = md5_ii(a, b, c, d, x[i+ 4], 6 , -145523070);
+		d = md5_ii(d, a, b, c, x[i+11], 10, -1120210379);
+		c = md5_ii(c, d, a, b, x[i+ 2], 15,  718787259);
+		b = md5_ii(b, c, d, a, x[i+ 9], 21, -343485551);
+
+		a = safe_add(a, olda);
+		b = safe_add(b, oldb);
+		c = safe_add(c, oldc);
+		d = safe_add(d, oldd);
+	}
+	return Array(a, b, c, d);
 }
 
 /*
@@ -340,23 +340,23 @@
  */
 function md5_cmn(q, a, b, x, s, t)
 {
-  return safe_add(bit_rol(safe_add(safe_add(a, q), safe_add(x, t)), s),b);
+	return safe_add(bit_rol(safe_add(safe_add(a, q), safe_add(x, t)), s),b);
 }
 function md5_ff(a, b, c, d, x, s, t)
 {
-  return md5_cmn((b & c) | ((~b) & d), a, b, x, s, t);
+	return md5_cmn((b & c) | ((~b) & d), a, b, x, s, t);
 }
 function md5_gg(a, b, c, d, x, s, t)
 {
-  return md5_cmn((b & d) | (c & (~d)), a, b, x, s, t);
+	return md5_cmn((b & d) | (c & (~d)), a, b, x, s, t);
 }
 function md5_hh(a, b, c, d, x, s, t)
 {
-  return md5_cmn(b ^ c ^ d, a, b, x, s, t);
+	return md5_cmn(b ^ c ^ d, a, b, x, s, t);
 }
 function md5_ii(a, b, c, d, x, s, t)
 {
-  return md5_cmn(c ^ (b | (~d)), a, b, x, s, t);
+	return md5_cmn(c ^ (b | (~d)), a, b, x, s, t);
 }
 
 /*
@@ -365,9 +365,9 @@
  */
 function safe_add(x, y)
 {
-  var lsw = (x & 0xFFFF) + (y & 0xFFFF);
-  var msw = (x >> 16) + (y >> 16) + (lsw >> 16);
-  return (msw << 16) | (lsw & 0xFFFF);
+	var lsw = (x & 0xFFFF) + (y & 0xFFFF);
+	var msw = (x >> 16) + (y >> 16) + (lsw >> 16);
+	return (msw << 16) | (lsw & 0xFFFF);
 }
 
 /*
@@ -375,5 +375,5 @@
  */
 function bit_rol(num, cnt)
 {
-  return (num << cnt) | (num >>> (32 - cnt));
+	return (num << cnt) | (num >>> (32 - cnt));
 }
\ No newline at end of file

=== modified file 'trunk/DuggaSys/quizAjax/js/test.js'
--- trunk/DuggaSys/quizAjax/js/test.js	2013-03-26 23:22:55 +0000
+++ trunk/DuggaSys/quizAjax/js/test.js	2013-03-28 14:01:33 +0000
@@ -20,7 +20,7 @@
 
 //answerQuiz.php
 //////Parameters: loginName, password, courseName, courseOccasion, quizNr, qVarNr, quizAnswer
-function checkAnswer(e){
+function checkAnswer(e) {
 	console.log("answerQuiz post");
 	var loginName="a02leifo";
 		password="56edf750f3bb2053b3c1c44429b3ce82";
@@ -32,11 +32,9 @@
 	if($("#loginName").val()!="") loginName=$("#loginName").val();
 	if($("#password").val()!="") loginName=$("#password").val();
 	
-	$.post("answerQuiz.php", 
-	       {loginName: loginName, password: password, courseName: courseName, courseOccasion: courseOccasion, quizNr: quizNr, qVarNr: qVarNr, quizAnswer: $("#quizAnswer").val() }, 
-			callBackcheckAnswer,
-			"json"
-	);
+	$.post("answerQuiz.php", {
+		loginName: loginName, password: password, courseName: courseName, courseOccasion: courseOccasion, quizNr: quizNr, qVarNr: qVarNr, quizAnswer: $("#quizAnswer").val() 
+	}, callBackcheckAnswer,"json");
 }
 
 function callBackcheckAnswer(data){
@@ -52,11 +50,10 @@
 	if($("#loginName").val()!="") loginName=$("#loginName").val();
 	if($("#password").val()!="") loginName=$("#password").val();
 	
-	$.post("getStudentCourseRegistrations.php", 
-	       {loginName: loginName, password: password}, 
-			callBackCourseRegistrations,
-			"json"
-	);
+	$.post("getStudentCourseRegistrations.php", { 
+		loginName: loginName, password: password
+	}, 
+	callBackCourseRegistrations,"json");
 }
 
 function checkRegistration(e){
@@ -70,24 +67,24 @@
 		year="12";
 		period="1";
 	$.post("checkStudentCourseOccasion.php", 
-	       {loginName: loginName, password: password, courseName: courseName, semester: semester, year:year, period:period}, 
-			callBackCheckRegistration,
-			"json"
+		{loginName: loginName, password: password, courseName: courseName, semester: semester, year:year, period:period }, 
+		callBackCheckRegistration,
+		"json"
 	);
 }
 
-function callBackCheckRegistration(data){
+function callBackCheckRegistration(data) {
 	console.log("callBackCheckRegistration:");
 	console.log(data);
 	$("#result").append("<h3>Is registered for selected course occasion:"+data.loginSuccess+"</h3>");
 }
 
-function callBackCourseRegistrations(data){
-	if(data.loginSuccess=="true"){
+function callBackCourseRegistrations(data) {
+	if(data.loginSuccess=="true") {
 		$("#result").append(data.loginSuccess);
 		$("#result").append("<h3>Course registrations</h3><ul>");
-		for(var i=0;i<data.courseRegistrations.length;i++){
-				$("#result").append("<li>"+data.courseRegistrations[i].courseName+" "+data.courseRegistrations[i].courseOccasion+"</li>");
+		for(var i=0;i<data.courseRegistrations.length;i++) {
+			$("#result").append("<li>"+data.courseRegistrations[i].courseName+" "+data.courseRegistrations[i].courseOccasion+"</li>");
 		}
 		$("#result").append("</ul>");
 	} else {
@@ -96,16 +93,16 @@
 }
 
 //login, password, courseName, courseOccasion, quizNr
-function fetchQuiz(e){
+function fetchQuiz(e) {
 	console.log("post fetchQuiz "+$("#quizNR").val());
 	$.post("getQuiz.php", 
-	       {login: "a02leifo", password: "56edf750f3bb2053b3c1c44429b3ce82", courseName: "DA133G Webbutveckling - datorgrafik G1N, 7,5hp (IKI)", courseOccasion: "HT-12 LP1", quizNr: $("#quizNR").val() }, 
+			{login: "a02leifo", password: "56edf750f3bb2053b3c1c44429b3ce82", courseName: "DA133G Webbutveckling - datorgrafik G1N, 7,5hp (IKI)", courseOccasion: "HT-12 LP1", quizNr: $("#quizNR").val() }, 
 			callBackTest,
 			"json"
 	);
 }
 
-function callBackTest(data){
+function callBackTest(data) {
 	console.log(data);
 	if (typeof data.Error != 'undefined') {
 		$("#result").append("<br/><h3>Error:"+data.Error+"</h3>");
@@ -119,16 +116,16 @@
 }
 
 //////Parameters: (POST) objectID, quizNr, qVarNr, courseName, courseOccasion, login, password
-function fetchQuizObject(e){
+function fetchQuizObject(e) {
 	console.log("post fetchQuizObject");
 	$.post("getQuizObject.php", 
-	       {objectID: qObjectID, courseName: "DA133G Webbutveckling - datorgrafik G1N, 7,5hp (IKI)", courseOccasion: "HT-12 LP1", quizNr: $("#quizNR").val(), qVarNr: "1", login: "a02leifo", password: "56edf750f3bb2053b3c1c44429b3ce82" }, 
+			{objectID: qObjectID, courseName: "DA133G Webbutveckling - datorgrafik G1N, 7,5hp (IKI)", courseOccasion: "HT-12 LP1", quizNr: $("#quizNR").val(), qVarNr: "1", login: "a02leifo", password: "56edf750f3bb2053b3c1c44429b3ce82" }, 
 			callBackObjectTest,
 			"json"
 	);
 }
 
-function callBackObjectTest(data){
+function callBackObjectTest(data) {
 	if (typeof data.Error != 'undefined') {
 		$("#result").append("<br/><h3>Error:"+data.Error+"</h3>");
 	} else {

=== modified file 'trunk/DuggaSys/quizSystem/answerQuiz.php'
--- trunk/DuggaSys/quizSystem/answerQuiz.php	2013-03-26 23:22:55 +0000
+++ trunk/DuggaSys/quizSystem/answerQuiz.php	2013-03-28 14:01:33 +0000
@@ -6,7 +6,7 @@
 ////	if incorrect the answer is not stored, else stored 
 
 //Store answer and loginName+answer hash
-function storeAnswer($loginName,$password,$courseName,$courseOccasion,$quizNr,$qVarNr,$quizAnswer,$grade,$gradeComment,$ip,$userAgent,$pdo){
+function storeAnswer($loginName,$password,$courseName,$courseOccasion,$quizNr,$qVarNr,$quizAnswer,$grade,$gradeComment,$ip,$userAgent,$pdo) {
 	$updateQuery="UPDATE AssignedQuizzes 
 				  SET AssignedQuizzes.answer=:ANSWER, 
 					  AssignedQuizzes.answerHash=:ANSWERHASH, 
@@ -64,7 +64,7 @@
 $stmt->bindParam(':COCCASION', $_POST['courseOccasion']);
 $stmt->execute();
 
-if($stmt->fetchColumn()==1){ //Student is registered for the course - COUNT result read from the first column of the next unread row (i.e. the first row) 
+if($stmt->fetchColumn()==1) { //Student is registered for the course - COUNT result read from the first column of the next unread row (i.e. the first row) 
 	//Check if quiz is open (and fetch auto correction setting)
 	$queryString="SELECT Quiz.opening, Quiz.closing, Quiz.autoCorrected
 				   FROM Quiz
@@ -75,7 +75,7 @@
 	$stmt->bindParam(':CNAME', $_POST['courseName']);
 	$stmt->execute();
 	$quizData=$stmt->fetch(PDO::FETCH_ASSOC);
-	if($quizData){
+	if($quizData) {
 		
 		$now = new DateTime();
 		$opening = new DateTime($quizData['opening']);
@@ -127,13 +127,13 @@
 	$stmt->bindParam(':COCCASION', $_POST['courseOccasion']);
 	$stmt->execute();
 	$result=$stmt->fetch(PDO::FETCH_ASSOC);
-	if($result){ //If there is a quiz variant assigned to the student
+	if($result) { //If there is a quiz variant assigned to the student
 			if($result['answerHash']!=NULL){ //Student has already answered the quiz
 				echo json_encode(array('Error' => 'This quiz has already been answered', 'answerHash'=>$result['answerHash']));
 				exit();
 			} else { //check if autoCorrection
 			
-				if($quizData['autoCorrected']=='0'){ //Not auto corrected
+				if($quizData['autoCorrected']=='0') { //Not auto corrected
 					if(storeAnswer($_POST['loginName'],
 								   $_POST['password'],
 								   $_POST['courseName'],

=== modified file 'trunk/DuggaSys/quizSystem/index.php'
--- trunk/DuggaSys/quizSystem/index.php	2013-03-26 23:22:55 +0000
+++ trunk/DuggaSys/quizSystem/index.php	2013-03-28 14:01:33 +0000
@@ -2,20 +2,20 @@
 header("X-UA-Compatible: IE=edge,chrome=1");
 session_start();
 
-function htmlsafe($str){
+function htmlsafe($str) {
 	return $str=htmlspecialchars($str,ENT_QUOTES,'UTF-8');
 }
 	
-function generatePassword($length){
+function generatePassword($length) {
 	$arr = str_split('ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz1234567890'); //Array of characters that may occur in the password
     shuffle($arr); //Shuffle array
     $arr = array_slice($arr, 0, $length); //Extract the first $length characters from the shuffled array
     return implode('', $arr); //Make string of the array and return the result
 }
 
-function addBackLink($postBacks){
+function addBackLink($postBacks) {
 	echo "<form name='backLink' action='.' method='post'>";
-	foreach($postBacks as $name=>$value){
+	foreach($postBacks as $name=>$value) {
 		echo "<input type='hidden' name='".$name."' value='".$value."' />";
 	}
     echo "<a href='#' onclick='document[\"backLink\"].submit();return false;'><-- Back</a>";
@@ -47,13 +47,13 @@
 		include "data/index.php";
 	} else if(isset($_POST['registerStudentsLink']) || isset($_POST['parseSubmit'])) {
 		include "registerStudents/index.php";
-	} else if(isset($_POST['listStudentsLink'])){
+	} else if(isset($_POST['listStudentsLink'])) {
 		include "students/index.php";
-	} else if(isset($_POST['listQuizzesLink'])){
+	} else if(isset($_POST['listQuizzesLink'])) {
 		include "quiz/index.php";
-	} else if(isset($_POST['checkQuizzesLink'])){
+	} else if(isset($_POST['checkQuizzesLink'])) {
 		include "quizChecking/index.php";
-	}else if(isset($_POST['coursesLink'])){
+	}else if(isset($_POST['coursesLink'])) {
 		include "course/index.php";
 	} else if (isset($_POST['searchString'])) {
         include "search/index.php";

=== modified file 'trunk/DuggaSys/quizSystem/menu.php'
--- trunk/DuggaSys/quizSystem/menu.php	2013-03-26 23:22:55 +0000
+++ trunk/DuggaSys/quizSystem/menu.php	2013-03-28 14:01:33 +0000
@@ -1,11 +1,11 @@
 ﻿<form name="aboutPageMenuLink" action="." method="post">
 	<input type="hidden" name="aboutPageLink" /> 
-	<a href="#" onclick="document['aboutPageMenuLink'].submit();return false;" <?php if (isset($_POST['aboutPageLink']) )
+	<a href="#" onclick="document['aboutPageMenuLink'].submit();return false;" <?php if (isset($_POST['aboutPageLink']))
     echo 'class="currentLink"' ?>>About</a>
 </form>
 <form name="dataMenuLink" action="." method="post">
     <input type="hidden" name="dataLink" /> 
-    <a href="#" onclick="document['dataMenuLink'].submit();return false;" <?php if (isset($_POST['dataLink']) )
+    <a href="#" onclick="document['dataMenuLink'].submit();return false;" <?php if (isset($_POST['dataLink']))
     echo 'class="currentLink"' ?>>Database dump</a>
 </form>
 <form name="registerStudentsMenuLink" action="." method="post">

=== modified file 'trunk/DuggaSys/quizSystem/pageframe.html.php'
--- trunk/DuggaSys/quizSystem/pageframe.html.php	2013-03-26 23:22:55 +0000
+++ trunk/DuggaSys/quizSystem/pageframe.html.php	2013-03-28 14:01:33 +0000
@@ -18,12 +18,12 @@
 					$(this).find("#scrolly").val($(document).scrollTop());
 					//var val = $("input[type=submit][clicked=true]").val()
 				});
-				$('.confirm').click(function(){
+				$('.confirm').click(function() {
 					var answer = confirm('Are you sure?');
 					return answer // answer is a boolean
 				});  
 				<?php 
-				if(isset($_POST['scrolly'])){ 
+				if(isset($_POST['scrolly'])) { 
 					echo '$(document).scrollTop('.$_POST['scrolly'].');';
 					//echo 'alert("setting scrolly");';
 				}	

